## GdlDockMaster GdlDockMaster |

## Synopsis

                        GdlDockMasterPrivate;
                        GdlDockMaster;
    #define             GDL_DOCK_OBJECT_GET_MASTER          (object)
    void                gdl_dock_master_add                 (GdlDockMaster *master,
                                                             GdlDockObject *object);
    void                gdl_dock_master_remove              (GdlDockMaster *master,
                                                             GdlDockObject *object);
    void                gdl_dock_master_foreach             (GdlDockMaster *master,
                                                             GFunc function,
                                                             gpointer user_data);
    void                gdl_dock_master_foreach_toplevel    (GdlDockMaster *master,
                                                             gboolean include_controller,
                                                             GFunc function,
                                                             gpointer user_data);
    GdlDockObject *     gdl_dock_master_get_object          (GdlDockMaster *master,
                                                             const gchar *nick_name);
    GdlDockObject *     gdl_dock_master_get_controller      (GdlDockMaster *master);
    void                gdl_dock_master_set_controller      (GdlDockMaster *master,
                                                             GdlDockObject *new_controller);

## Object Hierarchy

      GObject
       +----GdlDockMaster

## Properties

      "default-title"            gchar*                : Read / Write
      "locked"                   gint                  : Read / Write
      "switcher-style"           GdlSwitcherStyle      : Read / Write

## Signals

      "layout-changed"                                 : Run Last

## Description

## Details

### GdlDockMasterPrivate

    typedef struct _GdlDockMasterPrivate GdlDockMasterPrivate;

### GdlDockMaster

    typedef struct _GdlDockMaster GdlDockMaster;

### GDL_DOCK_OBJECT_GET_MASTER()

    #define             GDL_DOCK_OBJECT_GET_MASTER(object)

`object` : |

### gdl_dock_master_add ()

    void                gdl_dock_master_add                 (GdlDockMaster *master,
                                                             GdlDockObject *object);

`master` : |
`object` : |

### gdl_dock_master_remove ()

    void                gdl_dock_master_remove              (GdlDockMaster *master,
                                                             GdlDockObject *object);

`master` : |
`object` : |

### gdl_dock_master_foreach ()

    void                gdl_dock_master_foreach             (GdlDockMaster *master,
                                                             GFunc function,
                                                             gpointer user_data);

`master` : |
`function` : |
`user_data` : |

### gdl_dock_master_foreach_toplevel ()

    void                gdl_dock_master_foreach_toplevel    (GdlDockMaster *master,
                                                             gboolean include_controller,
                                                             GFunc function,
                                                             gpointer user_data);

`master` : |
`include_controller` : |
`function` : |
`user_data` : |

### gdl_dock_master_get_object ()

    GdlDockObject *     gdl_dock_master_get_object          (GdlDockMaster *master,
                                                             const gchar *nick_name);

`master` : |
`nick_name` : |
Returns : |

### gdl_dock_master_get_controller ()

    GdlDockObject *     gdl_dock_master_get_controller      (GdlDockMaster *master);

`master` : |
Returns : |

### gdl_dock_master_set_controller ()

    void                gdl_dock_master_set_controller      (GdlDockMaster *master,
                                                             GdlDockObject *new_controller);

`master` : |
`new_controller` : |

## Property Details

### The `"default-title"` property

      "default-title"            gchar*                : Read / Write

Default title for newly created floating docks.

Default value: NULL

### The `"locked"` property

      "locked"                   gint                  : Read / Write

If is set to 1, all the dock items bound to the master are locked; if it's 0, all are unlocked; -1 indicates inconsistency among the items.

Allowed values: [-1,1]

Default value: 0

### The `"switcher-style"` property

      "switcher-style"           GdlSwitcherStyle      : Read / Write

Switcher buttons style.

Default value: GDL_SWITCHER_STYLE_BOTH

## Signal Details

### The `"layout-changed"` signal

    void                user_function                      (GdlDockMaster *gdldockmaster,
                                                            gpointer       user_data)          : Run Last

`gdldockmaster` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.